package de.mdelab.mlsdm.interpreter.debug.ui;

import org.eclipse.ui.IEditorInput;

import de.mdelab.mlcore.MLElementWithUUID;
import de.mdelab.mlsdm.Activity;
import de.mdelab.mlsdm.interpreter.debug.ui.mlsdmEditor.MLSDMDebuggerStoryDiagramEditor;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugSourceLocator;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugTarget;

public class MLSDMDebugSourceLocator extends SDDebugSourceLocator<MLElementWithUUID>
{

	public MLSDMDebugSourceLocator(final SDDebugTarget<MLElementWithUUID, Activity> target)
	{
		super(target);
	}

	@Override
	public IEditorInput getEditorInput(final Object element)
	{
		assert element instanceof MLElementWithUUID;

		return this.getSDDebugTarget().getStoryDiagramEditorManager().getEditorInput((MLElementWithUUID) element);
	}

	@Override
	public String getEditorId(final IEditorInput input, final Object element)
	{
		return MLSDMDebuggerStoryDiagramEditor.ID;
	}

}
