package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints;

import org.eclipse.debug.core.DebugException;

import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugUiConstants;
import de.mdelab.sdm.interpreter.code.debug.ui.breakpoints.SDDebugBreakpoint;

public class MLSDMDebugBreakpoint extends SDDebugBreakpoint
{
	public MLSDMDebugBreakpoint(final String elementUUID, final String elementName, final String uri, final String expression, final String expressionLanguage) throws DebugException
	{
		super(elementUUID, elementName, uri, expression, expressionLanguage);
	}
	
	public MLSDMDebugBreakpoint()
	{

	}

	@Override
	public String getModelIdentifier()
	{
		return SDDebugUiConstants.DEBUG_MODEL_IDENTIFIER;
	}

	@Override
	protected String getBreakpointMarkerID()
	{
		return MLSDMDebugUiConstants.MLSDM_BREAKPOINT_MARKER_ID;
	}
}
