package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.menus.handlers;


import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.handlers.HandlerUtil;

import de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view.ISDBreakpointItem;
import de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view.MLSDMBreakpointsManager;

public class SetEnabledMLSDMBreakpointHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ISelection sel = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
		System.out.println("SetStatus activated");
		if (sel != null & sel instanceof IStructuredSelection) {
			IStructuredSelection strucSelection = (IStructuredSelection) sel;
			ISDBreakpointItem bp = (ISDBreakpointItem) strucSelection.getFirstElement();
			bp.setEnabled(true);
			MLSDMBreakpointsManager.getModelProvider().breakpointChanged(bp.getBreakpoint(), null);
		}
		return null;
	}

}