package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view;


import java.util.EventObject;

public class BreakpointsManagerEvent extends EventObject{
	
	public final static int REMOVED = 0;
	
	public final static int ADDED = 1;
	
	public final static int CHANGED = 2;

	private static final long serialVersionUID = 1L;

	private ISDBreakpointItem item;
	
	private int type;
	
	public BreakpointsManagerEvent(MLSDMBreakpointsManager source, ISDBreakpointItem item, int type) {
		super(source);
		this.type = type;
		this.item = item;
	}
	
	public ISDBreakpointItem getItem(){
		return item;
	}
	
	public int getChangeType(){
		return type;
	}
	
}
