package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view;


import org.eclipse.debug.core.model.IBreakpoint;


public interface ISDBreakpointItem  {
	
	public boolean isEnabled();

	public String getElementName();

	public String getElementURI();

	public String getUuid();
	
	public String getExpressionLanguage();
	
	public String getExpression();
	
	public IBreakpoint getBreakpoint();
	
	public void setEnabled(boolean checked);
	
	public void setExpression(String expr);
	
	public void setExpressionLanguage(String lang);
	
	public void saveChanges();

}