package de.mdelab.mlsdm.interpreter.debug.ui.launcher;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.debug.core.ILaunch;

import de.mdelab.mlcore.MLElementWithUUID;
import de.mdelab.mlsdm.Activity;
import de.mdelab.mlsdm.interpreter.debug.MLSDMDebugger;
import de.mdelab.mlsdm.interpreter.debug.ui.MLSDMDebugTarget;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugTarget;
import de.mdelab.sdm.interpreter.code.debug.ui.launcher.SDDebugLaunchDelegate;

public class MLSDMDebugLaunchDelegate extends SDDebugLaunchDelegate<MLElementWithUUID, Activity>
{

	@Override
	protected SDDebugTarget<MLElementWithUUID, Activity> createSDDebugTarget(final ILaunch launch, final String serverAddress,
			final int serverPortNumber) throws CoreException
	{
		return new MLSDMDebugTarget(launch, serverAddress, serverPortNumber);
	}

	@Override
	protected int getServerDefaultPort()
	{
		return MLSDMDebugger.MLSDM_DEBUG_SERVER_DEFAULT_PORT;
	}
}
