package de.mdelab.mlsdm.interpreter.debug.ui.launcher;


import org.eclipse.debug.core.ILaunchConfigurationWorkingCopy;

import de.mdelab.mlsdm.interpreter.debug.MLSDMDebugger;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugUiConstants;
import de.mdelab.sdm.interpreter.code.debug.ui.launcher.SDDebugMainTab;

public class MLSDMDebugMainTab extends SDDebugMainTab
{

	@Override
	public void setDefaults(ILaunchConfigurationWorkingCopy configuration)
	{
		configuration.setAttribute(SDDebugUiConstants.ATTR_SERVER_ADDRESS, "localhost");

		String defaultPort = Integer.toString(MLSDMDebugger.MLSDM_DEBUG_SERVER_DEFAULT_PORT);
		configuration.setAttribute(SDDebugUiConstants.ATTR_SERVER_PORT, defaultPort);
	}

}
