package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.menus.handlers;

import java.util.Iterator;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.handlers.HandlerUtil;

import de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view.ISDBreakpointItem;
import de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view.MLSDMBreakpointsManager;

public class RemoveMLSDMBreakpointHandler extends AbstractHandler {

	@SuppressWarnings("unchecked")
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ISelection sel = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
		System.out.println("Remove breakpoint activated");

		if (sel != null & sel instanceof IStructuredSelection) {

			IStructuredSelection strucSelection = (IStructuredSelection) sel;
			for (Iterator<Object> iterator = strucSelection.iterator();	iterator.hasNext();	) {
				ISDBreakpointItem bp = (ISDBreakpointItem) iterator.next();
				System.out.println("Selected to delete uuid: " +bp.getUuid());
				MLSDMBreakpointsManager.getModelProvider().removeBreakpoint(bp.getUuid());
			}
		}
		return null;
	}

}