package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints.view;


import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

public class BreakpointViewLabelProvider extends LabelProvider implements ITableLabelProvider {

	@Override
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	@Override
	public String getColumnText(Object element, int columnIndex) {
	
		if (element instanceof ISDBreakpointItem)
			switch (columnIndex) {

			case 0:
				return "";
			case 1:
				return ((ISDBreakpointItem) element).getElementName();
			case 2:
				return ((ISDBreakpointItem) element).getElementURI();
			case 3:
				return ((ISDBreakpointItem) element).getUuid();
			default:
				return "";
			}
		return "";
	}
}